GWT 2.7.0

## com.google.gwt.dom.client
Enum Style.Display

    java.lang.Object
      java.lang.Enum<Style.Display>
          com.google.gwt.dom.client.Style.Display

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.Display>

Enclosing class:
  Style

    public static enum Style.Display

extends java.lang.Enum<Style.Display>
implements Style.HasCssName

Enum for the display property.

Enum Constant Summary
`BLOCK`
`INITIAL`
`INLINE`
`INLINE_BLOCK`
`INLINE_TABLE`
`LIST_ITEM`
`NONE`
`RUN_IN`
`TABLE`
`TABLE_CAPTION`
`TABLE_CELL`
`TABLE_COLUMN`
`TABLE_COLUMN_GROUP`
`TABLE_FOOTER_GROUP`
`TABLE_HEADER_GROUP`
`TABLE_ROW`
`TABLE_ROW_GROUP`

Method Summary
`abstract java.lang.String` | `getCssName()` Gets the CSS name associated with this value.
`static Style.Display` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.Display[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Style.Display NONE

### BLOCK

    public static final Style.Display BLOCK

### INLINE

    public static final Style.Display INLINE

### INLINE_BLOCK

    public static final Style.Display INLINE_BLOCK

### INLINE_TABLE

    public static final Style.Display INLINE_TABLE

### LIST_ITEM

    public static final Style.Display LIST_ITEM

### RUN_IN

    public static final Style.Display RUN_IN

### TABLE

    public static final Style.Display TABLE

### TABLE_CAPTION

    public static final Style.Display TABLE_CAPTION

### TABLE_COLUMN_GROUP

    public static final Style.Display TABLE_COLUMN_GROUP

### TABLE_HEADER_GROUP

    public static final Style.Display TABLE_HEADER_GROUP

### TABLE_FOOTER_GROUP

    public static final Style.Display TABLE_FOOTER_GROUP

### TABLE_ROW_GROUP

    public static final Style.Display TABLE_ROW_GROUP

### TABLE_CELL

    public static final Style.Display TABLE_CELL

### TABLE_COLUMN

    public static final Style.Display TABLE_COLUMN

### TABLE_ROW

    public static final Style.Display TABLE_ROW

### INITIAL

    public static final Style.Display INITIAL

Method Detail

### values

    public static Style.Display[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Style.Display c : Style.Display.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Style.Display valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCssName

    public abstract java.lang.String getCssName()

  Description copied from interface: `Style.HasCssName`
  Gets the CSS name associated with this value.

  Specified by:
    `getCssName` in interface `Style.HasCssName`

GWT 2.7.0